## xraylarch 0.9.58+ds1

=== requirements.txt ===
# List of all dependencies of larch
# Recommended installation with conda:
# conda install -yc conda-forge wxpython tomopy
# pip install xraylarch
packaging
pip
pyyaml
pytest
termcolor
scipy>=1.5
numpy>=1.18
matplotlib>=3.0
sqlalchemy>=1.0
h5py>=2.8
pillow>=8.3.2
imageio
peakutils
requests
scikit-image
scikit-learn
asteval>=0.9.22
lmfit>=1.0.2
uncertainties>=3.1
pyshortcuts>=1.7.2
xraydb>=4.4
silx>=0.15.2
hdf5plugin
numdifftools
psutil
pymatgen
importlib_metadata
