=== debian/changelog ===
xraylarch (0.9.58+ds1-5) unstable; urgency=medium

  [ Neil Williams ]
  * Fix missing feff85exafs runtime dependency
  * Remove unnecessary B-D on python3-nose (Closes: #1018669)

  [ Sébastien Delafond ]
  * d/control: add Freexian Packaging Team to Uploaders

  [ Andrius Merkys ]
  * Remove build dependency on python-numpy-doc (Closes: #1028705)

 -- Andrius Merkys <merkys@debian.org>  Wed, 18 Jan 2023 06:24:46 -0500

xraylarch (0.9.58+ds1-4) unstable; urgency=medium

  * Team upload.
  * Restrict autopkgtest to amd64 only, same as pkg.

 -- Neil Williams <codehelp@debian.org>  Sat, 16 Jul 2022 17:57:26 +0100

xraylarch (0.9.58+ds1-3) unstable; urgency=medium

  * Team upload.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Remove deprecated Encoding key from desktop files: debian/larch-cli.desktop,
    debian/larch-gsemapviewer.desktop, debian/larch-gui.desktop,
    debian/larch-xasviewer.desktop, debian/larch-xrfdisplay.desktop.
  * Explicitly add pyepics to runtime dependencies as it's extra in
    upstream but required in this build.
  * Limit autopkgtest to avoid missing dependencies
  * Disable autopkgtest-pkg-python due to missing dependencies on s390x
  * Rename Larch CLI as /usr/bin/larch_cli to avoid clash with unrelated
    executable already in Debian. (Closes: #1014942)
  * Restrict to amd64 only for EPICS support

 -- Neil Williams <codehelp@debian.org>  Tue, 12 Jul 2022 18:23:14 +0100

xraylarch (0.9.58+ds1-2) unstable; urgency=medium

  * Team upload.
  * Update d.copyright

 -- Neil Williams <codehelp@debian.org>  Fri, 01 Jul 2022 10:13:20 +0100

xraylarch (0.9.58+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release with Python3.10 support.
  * DFSG repack to remove precompiled Feff8L binaries
  * Fix typo in d.copyright to exclude DFSG files
  * Drop previous patches with new upstream release
  * Initial release. (Closes: #949126: RFP: xraylarch -- X-ray
    absorption, fluorescence spectroscopy and diffraction data analysis)
  * Add WXPython support

 -- Neil Williams <codehelp@debian.org>  Fri, 01 Jul 2022 08:25:03 +0100

xraylarch (0.9.51-1) UNRELEASED; urgency=medium

  [ Andrius Merkys ]
  * Adding VCS-* tags.
  * Filling in homepage and package descriptions.
  * Placing under team maintenance.

  [ Sébastien Delafond ]
  * d/watch
  * d/copyright
  * d/gbp.conf
  * d/rules: remove boilerplate
  * TOREVERT: wx* and pyshortcuts
  * d/watch: update URL
  * New upstream version 0.9.51

 -- Sebastien Delafond <seb@debian.org>  Mon, 17 May 2021 16:37:05 +0200
