=== debian/control ===
Source: xraylarch
Section: science
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Andrius Merkys <merkys@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Freexian Packaging Team <team+freexian@tracker.debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all,
 feff85exafs,
 python3-setuptools-scm,
 python3-scipy,
 python3-numpy,
 python3-matplotlib,
 python3-sqlalchemy,
 python3-h5py,
 python3-pil,
 python3-peakutils,
 python3-requests,
 python3-psycopg2,
 python3-skimage,
 python3-sklearn,
 python3-asteval,
 python3-lmfit,
 python3-uncertainties,
 python3-pyepics,
 python3-xraydb,
 python3-pymatgen,
 python3-wxgtk4.0,
 python3-wxutils,
 python3-wxmplot,
 python3-yaml,
 python3-psutil,
 python3-termcolor,
 python3-silx,
 python3-fabio,
 python3-pyfai,
 python3-pycifrw,
 python3-pybtex <!nodoc>,
 python3-sphinxcontrib.bibtex <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-doc <!nodoc>,
 python-scipy-doc <!nodoc>,
Standards-Version: 4.6.1
Homepage: https://xraypy.github.io/xraylarch/
Vcs-Browser: https://salsa.debian.org/science-team/xraylarch
Vcs-Git: https://salsa.debian.org/science-team/xraylarch.git

Package: python3-xraylarch
Architecture: amd64
Depends: feff85exafs, python3-psycopg2, python3-pyepics, ${python3:Depends}, ${misc:Depends}
Suggests: python-xraylarch-doc
Description: X-ray absorption, fluorescence spectroscopy and diffraction data analysis
 Larch is a library and set of applications for processing and analyzing X-ray
 absorption and fluorescence spectroscopy data and X-ray fluorescence and
 diffraction image data from synchrotron beamlines.
 .
 Larch is especially focussed  on X-ray absorption fine-structure spectroscopy
 (XAFS) including X-ray  absorption near-edge spectroscopy (XANES) and extended
 X-ray absorption fine-structure spectroscopy (EXAFS). It also supports
 visualization and  analysis tools for X-ray fluorescence (XRF) spectra and XRF
 and X-ray diffraction (XRD) images as collected at scanning X-ray microprobe
 beamlines.
 .
 This package installs the larch module and scripts for Python 3.
 .
  * GSE MapViewer for GSECARS X-ray microprobe data.
  * Larch CLI and Gtk GUI.
  * XAS Viewer for XAFS Processing and Analysis.
  * XRF Display to display and analyze XRF Spectra.
 .
 The Larch CLI is available as larch_cli in Debian.

Package: python-xraylarch-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: X-ray Larch data analysis (documentation)
 Larch is a library and set of applications for processing and analyzing X-ray
 absorption and fluorescence spectroscopy data and X-ray fluorescence and
 diffraction image data from synchrotron beamlines.
 .
 Larch is especially focussed  on X-ray absorption fine-structure spectroscopy
 (XAFS) including X-ray  absorption near-edge spectroscopy (XANES) and extended
 X-ray absorption fine-structure spectroscopy (EXAFS). It also supports
 visualization and  analysis tools for X-ray fluorescence (XRF) spectra and XRF
 and X-ray diffraction (XRD) images as collected at scanning X-ray microprobe
 beamlines.
 .
 This is the documentation package.
