=== debian/tests/control ===
Tests: testsuite
Architecture: amd64
Depends: @, python-xraylarch-doc, python3-pytest
Restrictions: allow-stderr
