=== debian/changelog ===
xraylarch (0.9.71+ds1-1) unstable; urgency=medium

  * New upstream version 0.9.71+ds1
  * Update standards version to 4.6.2, no changes needed.
  * Bug fix: "FTBFS with Sphinx 7.1, docutils 0.20: TypeError: not all
    arguments converted during string formatting", thanks to Lucas
    Nussbaum (Closes: #1042669).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 05 Aug 2023 21:27:07 +0200
