=== debian/control ===
--- 
+++ 
@@ -6,51 +6,65 @@
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Andrius Merkys <merkys@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
- Freexian Packaging Team <team+freexian@tracker.debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all,
+ Freexian Packaging Team <team+freexian@tracker.debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  feff85exafs,
+ python-scipy-doc <!nodoc>,
+ python3-all,
+ python3-asteval,
+ python3-doc <!nodoc>,
+ python3-fabio,
+ python3-h5py,
+ python3-lmfit,
+ python3-matplotlib,
+ python3-numpy,
+ python3-peakutils,
+ python3-pil,
+ python3-psutil,
+ python3-psycopg2,
+ python3-pybtex <!nodoc>,
+ python3-pycifrw,
+ python3-pyepics,
+ python3-pyfai,
+ python3-pymatgen,
+ python3-requests,
+ python3-scipy,
+ python3-setuptools,
  python3-setuptools-scm,
- python3-scipy,
- python3-numpy,
- python3-matplotlib,
- python3-sqlalchemy,
- python3-h5py,
- python3-pil,
- python3-peakutils,
- python3-requests,
- python3-psycopg2,
+ python3-silx,
  python3-skimage,
  python3-sklearn,
- python3-asteval,
- python3-lmfit,
+ python3-sphinx <!nodoc>,
+ python3-sphinxcontrib.bibtex <!nodoc>,
+ python3-sqlalchemy,
+ python3-termcolor,
+ python3-toml,
  python3-uncertainties,
- python3-pyepics,
+ python3-wxgtk4.0,
+ python3-wxmplot,
+ python3-wxutils,
  python3-xraydb,
- python3-pymatgen,
- python3-wxgtk4.0,
- python3-wxutils,
- python3-wxmplot,
  python3-yaml,
- python3-psutil,
- python3-termcolor,
- python3-silx,
- python3-fabio,
- python3-pyfai,
- python3-pycifrw,
- python3-pybtex <!nodoc>,
- python3-sphinxcontrib.bibtex <!nodoc>,
- python3-sphinx <!nodoc>,
- python3-doc <!nodoc>,
- python-scipy-doc <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://xraypy.github.io/xraylarch/
 Vcs-Browser: https://salsa.debian.org/science-team/xraylarch
 Vcs-Git: https://salsa.debian.org/science-team/xraylarch.git
 
 Package: python3-xraylarch
 Architecture: amd64
-Depends: feff85exafs, python3-psycopg2, python3-pyepics, ${python3:Depends}, ${misc:Depends}
-Suggests: python-xraylarch-doc
+Depends:
+ feff85exafs,
+ python3-psycopg2,
+ python3-pyepics,
+ ${misc:Depends},
+ ${python3:Depends},
+Suggests:
+ python-xraylarch-doc,
 Description: X-ray absorption, fluorescence spectroscopy and diffraction data analysis
  Larch is a library and set of applications for processing and analyzing X-ray
  absorption and fluorescence spectroscopy data and X-ray fluorescence and
@@ -76,7 +90,9 @@
 Architecture: all
 Section: doc
 Multi-Arch: foreign
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: X-ray Larch data analysis (documentation)
  Larch is a library and set of applications for processing and analyzing X-ray
  absorption and fluorescence spectroscopy data and X-ray fluorescence and
