## xraylarch 0.9.74+ds1

=== debian/changelog ===
xraylarch (0.9.74+ds1-1) unstable; urgency=medium

  * New upstream version 0.9.74+ds1
  * d/patches: refresh all the patch series for the new version
  * d/control: Do not depends on python3-sqlalchemy (>= 2.0)
  * d/control: Added pybuild-plugin-pyproject.
  * d/patches: fixed a SyntaxError.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 18 Dec 2023 17:30:31 +0100
