=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,12 @@
 	$(RM) -rf .eggs/ log*.dat
 	$(RM) -rf xraylarch.egg-info
 	$(RM) -rf doc/_build
+	$(RM) debian/*.desktop
 
 execute_after_dh_auto_build:
+	# generate the desktop files
+	cd $(CURDIR)/debian; ./build-desktop
+
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 	# build the doc
 	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
