## xraylarch 0.9.81%2Bds1

=== debian/tests/control ===
Tests: testsuite
Architecture: amd64
Depends:
 python-xraylarch-doc,
 python3-pytest,
 python3-pytest-xvfb,
 @,
Restrictions: allow-stderr
