=== larch/wxxrd/requirements.txt ===
wx>=2.8.12
pyFAI>=0.12.0
