=== debian/changelog ===
xraylarch (0.9.81+ds1-3) unstable; urgency=medium

  * Team upload.
  * Patch-out python3-toml

  [ Sébastien Delafond ]
  * Remove Freexian Packaging Team from uploaders

 -- Alexandre Detiste <tchet@debian.org>  Sun, 31 Aug 2025 00:13:53 +0200

xraylarch (0.9.81+ds1-2) unstable; urgency=medium

  * Bug fix: "ships coverage data directly under
    /usr/lib/python3/dist-packages", thanks to Chris Lamb (Closes:
    #1085381).

 -- Roland Mas <lolando@debian.org>  Sun, 20 Oct 2024 16:58:10 +0200

xraylarch (0.9.81+ds1-1) unstable; urgency=medium

  * New upstream release.
  * This fixes: "removal of Python standard libraries in Python 3.13",
    thanks to Louis-Philippe Véronneau (Closes: #1084586).
  * This also fixes: "tests fail with scipy 1.14", thanks to Drew Parsons
    (Closes: #1079679).
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1046716).
  * Run testsuite at build time.

 -- Roland Mas <lolando@debian.org>  Wed, 16 Oct 2024 22:02:17 +0200

xraylarch (0.9.74+ds1-2) UNRELEASED; urgency=medium

  * d/control: add myself to Uploaders.
  * d/patches: fix detection of homedir in a pbuilder
    chroot. Incidentally, this fixes "FTBFS: unsatisfiable
    build-dependencies", thanks to Santiago Vila (Closes: #1071898), even
    though it's for different reasons.

 -- Roland Mas <lolando@debian.org>  Wed, 16 Oct 2024 19:13:39 +0200
