=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Andrius Merkys <merkys@debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
- Freexian Packaging Team <team+freexian@tracker.debian.org>,
+ Roland Mas <lolando@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -15,44 +15,46 @@
  dh-sequence-sphinxdoc <!nodoc>,
  feff85exafs,
  jupyter-client,
- jupyter-core (>= 5.0),
+ jupyter-core,
  jupyter-nbformat,
  jupyter-notebook,
  jupyter-server,
  pybuild-plugin-pyproject,
  python-scipy-doc <!nodoc>,
  python3-all,
- python3-asteval (>= 0.9.28),
+ python3-asteval,
  python3-charset-normalizer,
  python3-dill,
  python3-doc <!nodoc>,
  python3-fabio,
- python3-h5py (>= 3.2),
+ python3-h5py,
  python3-hdf5plugin,
  python3-imageio,
  python3-ipywidgets,
- python3-lmfit (>= 1.2.1),
- python3-matplotlib (>= 3.5),
+ python3-lmfit,
+ python3-matplotlib,
  python3-mp-api,
- python3-numexpr (>= 2.8.7),
- python3-numpy (>= 1.20),
+ python3-numexpr,
+ python3-numpy,
  python3-numpydoc <!nodoc>,
  python3-pandas,
  python3-peakutils,
- python3-pil (>= 8.3.2),
+ python3-pil,
  python3-plotly,
  python3-psutil,
  python3-psycopg2,
  python3-pybtex <!nodoc>,
  python3-pycifrw,
- python3-pyepics (>= 3.5.0),
+ python3-pyepics,
  python3-pyfai,
  python3-pymatgen,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
  python3-requests,
- python3-scipy (>= 1.7),
+ python3-scipy,
  python3-setuptools,
  python3-setuptools-scm,
- python3-silx (>= 0.15.2),
+ python3-silx,
  python3-skimage,
  python3-sklearn,
  python3-sphinx <!nodoc>,
@@ -60,14 +62,14 @@
  python3-sqlalchemy,
  python3-sqlalchemy-utils,
  python3-termcolor,
- python3-toml,
- python3-uncertainties (>= 3.1.4),
- python3-wxgtk4.0 (>= 4.1),
+ python3-tomli-w,
+ python3-uncertainties,
+ python3-wxgtk4.0,
  python3-wxmplot (>= 0.9.57),
  python3-wxutils (>= 0.3.0),
- python3-xraydb (>= 4.5),
+ python3-xraydb,
  python3-yaml,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://xraypy.github.io/xraylarch/
 Vcs-Browser: https://salsa.debian.org/science-team/xraylarch
 Vcs-Git: https://salsa.debian.org/science-team/xraylarch.git
@@ -77,17 +79,18 @@
 Depends:
  feff85exafs,
  jupyter-client,
- jupyter-core (>=5.0),
+ jupyter-core,
  jupyter-nbformat,
  jupyter-notebook,
  jupyter-server,
  python3-ipywidgets,
  python3-plotly,
- python3-wxmplot (>=0.9.57),
- python3-wxgtk4.0 (>=4.1),
- python3-wxutils (>=0.3.0),
- python3-pyepics (>=3.5.0),
  python3-psycopg2,
+ python3-pyepics,
+ python3-tomli-w,
+ python3-wxgtk4.0,
+ python3-wxmplot (>= 0.9.57),
+ python3-wxutils (>= 0.3.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
