=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,10 @@
 
 export DH_VERBOSE=1
 export PYBUILD_NAME=xraylarch
+export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/htmlcov/
 
 %:
 	dh $@ --buildsystem=pybuild
-
-
-execute_after_dh_auto_clean:
-	find . -name "*.pyc" -delete
-	$(RM) -rf .eggs/ log*.dat
-	$(RM) -rf xraylarch.egg-info
-	$(RM) -rf doc/_build
-	$(RM) debian/*.desktop
 
 execute_after_dh_auto_build:
 	# generate the desktop files
@@ -32,6 +25,3 @@
 	find -name gse_xrfmap.ico -exec chmod 0644 {} \;
 	find examples/ -executable -type f -exec chmod 0644 {} \;
 	dh_install -p python3-xraylarch debian/*.desktop ./usr/share/applications/
-
-# not test for now
-override_dh_auto_test:
