=== debian/watch ===
version=4

opts="repacksuffix=+ds1,dversionmangle=auto,repack,compression=gz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/xraypy/xraylarch/tags .*/(\d[\d\.]*)\.tar\.gz debian uupdate
